Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.webapp
Class CacheContent

    java.lang.Object
      org.ajax4jsf.webapp.CacheContent

All Implemented Interfaces:
  java.io.Serializable

    public class CacheContent

extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:58:20 $
Author:
  shura (latest modification by $Author: alexsmirnov $)
See Also:
  Serialized Form

Constructor Summary
`CacheContent()`

Method Summary
`void` | `flush(javax.faces.context.ExternalContext externalContext)` Flush used output writer/stream, to fix https://jira.jboss.org/jira/browse/RF-4017
`void` | `flush(javax.servlet.http.HttpServletResponse response)` Deprecated.
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`java.io.OutputStream` | `getOutputStream()` Create UNIX command 'tee' like stream - send all data to servlet
`java.io.PrintWriter` | `getWriter()`
`void` | `send(javax.faces.context.ExternalContext externalContext)` Send saved content to http responce
`void` | `send(javax.servlet.http.HttpServletResponse response)` Deprecated.
`void` | `sendHeaders(javax.faces.context.ExternalContext externalContext)` Send saved headers to http responce.
`void` | `sendHeaders(javax.servlet.http.HttpServletResponse response)` Deprecated.
`void` | `setContentLength(int contentLength)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setDateHeader(java.lang.String name, long value)`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIntHeader(java.lang.String name, int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheContent

    public CacheContent()

Method Detail

### send

    @Deprecated
    public void send(javax.servlet.http.HttpServletResponse response)
              throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`

### send

    public void send(javax.faces.context.ExternalContext externalContext)
              throws java.io.IOException

  Send saved content to http responce

  Parameters:
    `response` -
  Throws:
    `java.io.IOException`

### sendHeaders

    public void sendHeaders(javax.faces.context.ExternalContext externalContext)

  Send saved headers to http responce.

  Parameters:
    `response` -

### sendHeaders

    @Deprecated
    public void sendHeaders(javax.servlet.http.HttpServletResponse response)

  Deprecated.

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long value)

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Create UNIX command 'tee' like stream - send all data to servlet

  Parameters:
    `responseStream` -
  Returns:

### getWriter

    public java.io.PrintWriter getWriter()

### setContentType

    public void setContentType(java.lang.String contentType)

### getContentType

    public java.lang.String getContentType()

  Returns:
    Returns the contentType.

### flush

    @Deprecated
    public void flush(javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`

### flush

    public void flush(javax.faces.context.ExternalContext externalContext)
               throws java.io.IOException

  Flush used output writer/stream, to fix https://jira.jboss.org/jira/browse/RF-4017

  Parameters:
    `response` -
  Throws:
    `java.io.IOException`

### getContentLength

    public int getContentLength()

### setContentLength

    public void setContentLength(int contentLength)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.